name='dodo-manager-git'
version='a5cba00'
release='1'
desc='Этот инструмент позволяет управлять выделенным сервером ARK: Survival Evolved на Linux. Он предоставляет множество функций, чтобы получить полный список, ознакомьтесь с разделом использования. (находится в разарботке и может содержать ошибки)'
homepage='https://gitflic.ru/project/xpamych/dodo-manager'
maintainer="Евгений Храмов <xpamych@yandex.ru>"
architectures=('amd64')
license=('GPL-3.0-or-later')
provides=('dodo')
conflicts=('dodo')

deps=('python3, python3-pip')
deps_arch('python, python-pip')

sources=("git+https://gitflic.ru/project/xpamych/dodo-manager.git")
checksums=('SKIP')

prepare() {
    pip install --upgrade click colorama pyTelegramBotAPI
}

package() {
	install -Dm755 "${srcdir}/dodo-manager/dodo.py" "${pkgdir}/usr/bin/dodo"
    install -Dm755 "${srcdir}/dodo-manager/dodo-bot.py" "${pkgdir}/usr/bin/dodo-bot"
	install -Dm644 "${srcdir}/dodo-manager/LICENSE.md" "${pkgdir}/usr/share/licenses/dodo/license"
}
